return { -- fuzzy file finder
	"nvim-telescope/telescope.nvim",
	opts = {
		pickers = {
			find_files = {
				--hidden = true,
				no_ignore = true,
			},
		},
	},
	keys = {
		{
			"/",
			require("telescope.builtin").current_buffer_fuzzy_find,
			desc = "Search for a string in the current buffer",
		},
		{
			"<leader>ff",
			require("telescope.builtin").find_files,
			desc = "Find File",
		},
		{ "<leader>fb", "<cmd>Telescope buffers<CR>", desc = "Find Open Buffers" },
		{ "<leader>fg", "<cmd>Telescope live_grep<CR>", desc = "Live Grep" },
		{ "<leader>fh", "<cmd>Telescope help_tags<CR>", desc = "Find Help" },
		{ "<leader>fi", "<cmd>Telescope builtin<cr>", desc = "Search all Telescope builtins" },
		{ "<leader>ft", "<cmd>TodoTelescope <cr>", desc = "Open Todo in Telescope" },
	},
}
