return {
	"nvim-treesitter/nvim-treesitter",
	build = ":TSUpdate",
	lazy = false,
	opts = {
		highlight = {
			enable = true,
			additional_vim_regex_highlighting = false,
		},
		ensure_installed = {
			"c",
			"lua",
			"vim",
			"vimdoc",
			"query",
			"json",
			"javascript",
			"typescript",
			"json5",
			"jsonc",
			"xml",
			"html",
			"zig",
			"rust",
			"qmljs",
		},
		auto_install = true,
	},
	config = function(_, opts)
		require("nvim-treesitter.configs").setup(opts)
	end,
}
