local augroup = vim.api.nvim_create_augroup
local autocmd = vim.api.nvim_create_autocmd

augroup("__formatter__", { clear = true })
autocmd("BufWritePost", {
	group = "__formatter__",
	command = ":FormatWrite",
})

-- Blink on copy
autocmd("TextYankPost", {
	callback = function()
		vim.highlight.on_yank()
	end,
})
