return {
	"folke/which-key.nvim",
	event = "VeryLazy",
	opts = {
		preset = "helix",
	},
	keys = {
		{
			"<leader>?",
			function()
				require("which-key").show({ global = true })
			end,
			desc = "Buffer Local Keymaps (which-key)",
		},
		{ "<leader>t1", "<Cmd>BufferGoto 1<CR>", desc = "Go to Buffer 1" },
		{ "<leader>h", "<Cmd>BufferPrevious<CR>", desc = "Go the previous Buffer" },
		{ "<leader>l", "<Cmd>BufferNext<CR>", desc = "Go to the next Buffer" },
	},
}
